Package org.eclipse.e4.ui.css.swt.helpers

# Class SWTStyleHelpers

java.lang.Object
org.eclipse.e4.ui.css.swt.helpers.SWTStyleHelpers

public class SWTStyleHelpers extends Object
SWT Helper to get SWT styles `Widget` as String.

Version:
  1.0.0
Author:
  Angelo ZERR

## Constructor Summary

Constructors
Constructor
Description
`SWTStyleHelpers()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getSWTWidgetStyleAsString(int style, String separator)`
Return SWT style constant `style` as String.
`static String`
`getSWTWidgetStyleAsString(Widget widget)`
Return SWT style constant from `Widget` `widget` as String.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SWTStyleHelpers

public SWTStyleHelpers()

## Method Details

### getSWTWidgetStyleAsString

public static String getSWTWidgetStyleAsString(Widget widget)
Return SWT style constant from `Widget` `widget` as String. Each SWT style are separate with space character.

### getSWTWidgetStyleAsString

public static String getSWTWidgetStyleAsString(int style, String separator)
Return SWT style constant `style` as String. Each SWT style are separate with `separator` String.